We had an issue recently when running an upgrade to exchange 2010 SP2 where the Pre-Requisite checker would fail on the Hub Transport role with the following error “Setup cannot continue with the upgrade because the ‘cscript’ () process (ID:7284) has open files. Close the process and restart Setup”.

image

The issue turned out being due to SCOM agent we had installed on the server , so we simply stopped the system centre management service on the machine and re-ran the checker then all went through ok Smile